import './impl/app_nav_repository_impl.dart';
import '../entity/app_nav_entity.dart';

abstract class AppNavRepository {
  ///
  /// 获取单例
  ///
  static AppNavRepository get() {
    return AppNavRepositoryImpl();
  }

  /// 获取宣传口
  /// [locationType] 位置, 用逗号隔开
  /// 1 首页钻石位  2 app我的，3生活广场
  Future<List<AppNavEntity>> find(String type);
}
